from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = fh.read()

VERSION = '1.1.2'
DESCRIPTION = 'Lightweight file-based database library for Python with 64-bit encryption.'

# Setting up
setup(
    name="tweaked",
    version=VERSION,
    author="sizzor and cities",
    author_email="tokyorevenge127@gmail.com",
    description=DESCRIPTION,
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=find_packages(),
    install_requires=[
        'cryptography',
    ],
    keywords=['python', 'database', 'file-based', 'encryption', 'key-value store'],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
        "License :: OSI Approved :: MIT License",
    ]
)
